<!DOCTYPE html>
<html lang="ru">

<head>
<link href="style.css" rel="stylesheet" type="text/css">
<title>Калькулятор</title>

<script>

function click1() {
  let f1 = document.getElementsByName("field1");
  let f2 = document.getElementsByName("field2");
  let r = document.getElementById("result");
  r.innerHTML = f1[0].value * f2[0].value;
  return false;
}

</script>  
</head>
<body>

<form name="calcform">

<table>

<tr>
  <td>Цена товара:</td>
  <td>
      <input name="field1" type="text">
  </td>
</tr>
<tr>
  <td>Количество товара:</td>
  <td>
      <input name="field2" type="text">
  </td>
</tr>
<tr>
  <td>
      <button id="button1" onclick="return click1();">Стоимость</button>
  </td>
  <td class="bg">
    <div id="result"></div>
  </td>
</tr>
</table>



</form>
</body>
</html>